summaryrefslogtreecommitdiff
path: root/source3/script
diff options
context:
space:
mode:
authorMichael Adam <obnox@samba.org>2011-02-19 11:49:43 +0100
committerMichael Adam <obnox@samba.org>2011-02-19 13:06:57 +0100
commit8ad127e187abb8f9e8076a872e08faaf4fbc1367 (patch)
tree58757b36c083709f93917da599cc0d79d12b0ad9 /source3/script
parent0749f7a976fd1766bf076986f1b5e7eff323e5e0 (diff)
downloadsamba-8ad127e187abb8f9e8076a872e08faaf4fbc1367.tar.gz
samba-8ad127e187abb8f9e8076a872e08faaf4fbc1367.tar.bz2
samba-8ad127e187abb8f9e8076a872e08faaf4fbc1367.zip
s3:tests: fix the smbclient_s3 test for multiple users running it.
The test created /tmp/log.smbclient, which lets the test fail if two users are running the test simultaneously. Now /tmp/log.test_smbclient_s3.$$ is used. Autobuild-User: Michael Adam <obnox@samba.org> Autobuild-Date: Sat Feb 19 13:06:57 CET 2011 on sn-devel-104
Diffstat (limited to 'source3/script')
-rwxr-xr-xsource3/script/tests/test_smbclient_s3.sh18
1 files changed, 16 insertions, 2 deletions
diff --git a/source3/script/tests/test_smbclient_s3.sh b/source3/script/tests/test_smbclient_s3.sh
index f0cb37d561..08ed3b7729 100755
--- a/source3/script/tests/test_smbclient_s3.sh
+++ b/source3/script/tests/test_smbclient_s3.sh
@@ -389,6 +389,16 @@ test_ccache_access()
$WBINFO --logoff
}
+LOGDIR=/tmp/log.test_smbclient_s3.$$
+
+testit "rm -rf $LOGDIR" \
+ rm -rf $LOGDIR || \
+ exit 1
+
+testit "mkdir -p $LOGDIR" \
+ mkdir -p $LOGDIR || \
+ exit 1
+
testit "smbclient -L $SERVER_IP" $SMBCLIENT $CONFIGURATION -L $SERVER_IP -N -p 139 || failed=`expr $failed + 1`
testit "smbclient -L $SERVER -I $SERVER_IP" $SMBCLIENT $CONFIGURATION -L $SERVER -I $SERVER_IP -N -p 139 || failed=`expr $failed + 1`
@@ -398,7 +408,7 @@ testit "noninteractive smbclient does not prompt" \
failed=`expr $failed + 1`
testit "noninteractive smbclient -l does not prompt" \
- test_noninteractive_no_prompt -l /tmp || \
+ test_noninteractive_no_prompt -l $LOGDIR || \
failed=`expr $failed + 1`
testit "interactive smbclient prompts on stdout" \
@@ -406,7 +416,7 @@ testit "interactive smbclient prompts on stdout" \
failed=`expr $failed + 1`
testit "interactive smbclient -l prompts on stdout" \
- test_interactive_prompt_stdout -l /tmp || \
+ test_interactive_prompt_stdout -l $LOGDIR || \
failed=`expr $failed + 1`
testit "creating a bad symlink and deleting it" \
@@ -433,4 +443,8 @@ testit "ccache access works for smbclient" \
test_ccache_access || \
failed=`expr $failed + 1`
+testit "rm -rf $LOGDIR" \
+ rm -rf $LOGDIR || \
+ failed=`expr $failed + 1`
+
testok $0 $failed